2017-12-17 10:04 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003334Kali Linux[All Projects] General Bugpublic2016-07-12 14:44
Reportersamael1986 
Assigned Torhertzog 
PriorityhighSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version2016.1 
Target VersionFixed in Version2016.2 
Summary0003334: MAC changed by macchanger is reset when connecting to an AP
DescriptionSetting a mac address in Macchanger doesn't stay, it reset back to factory condition when connecting to a AP (My AP to do Tests).
Steps To Reproduce-run macchanger -m
-set mac in macchanger
-set macchanger to set mac to interface
-check to see if macchanger changed the mac address in both macchanger by running the same procedure again and in Ifconfig
-try to connect to an AP
-fails
-checked Ifconfig
-visually shows set mac resets back
Attached Files

-Relationships
+Relationships

-Notes

~0005315

samael1986 (reporter)

I have just recently updated kali, but before the recent updates about couple days ago. Setting a Mac in Macchanger worked now it doesn't.

~0005316

samael1986 (reporter)

Also I did bring the interface down through Ifconfig down command and brought the interface back up after I ran macchanger.

~0005362

samael1986 (reporter)

I still have not found a resolution for this issue. I am still wondering if I am doing something wrong or if this is a bug?

~0005363

UNATCO (reporter)

Same issue here on an HP ProBook with an Atheros Chipset. Injection, Monitor, everything else works correctly.

~0005473

JigaBytePL (reporter)

Last edited: 2016-07-07 05:46

View 3 revisions

Same issue here tho. Reported it. Asus G751JY. Last working version I know of is 1.5.0-9. Can't downgrade it with

sudo apt-get -t=<target release> install <package-name>
nor
sudo apt-get install <package-name>=<package-version-number>

~0005503

samael1986 (reporter)

Last edited: 2016-07-11 09:25

View 2 revisions

I haven't looked into this problem myself to find a resolution that I could come up with, I been working on other things. Since issue has not been resolved I am taking this over to the forums to begin a discussion there to find a resolution to this problem or if I can find a resolution then I note it here.

~0005504

rhertzog (administrator)

The bug is reported here on Debian side:
https://bugs.debian.org/807429

It seems to be that network-manager is resetting the mac interface. But if that's true it does not make sense that macchanger 1.5.0-9 works any better...

You can find older versions here: http://snapshot.debian.org/binary/macchanger/
Please confirm that the problem remains even with an older version...

~0005531

rhertzog (administrator)

I fixed network-manager 1.2.2-2kali1 to not reset the MAC address when establishing the connection.

The mac address is still reset when the Wifi connection is brought down but this is a minor problem as you are no longer using the connection at that point.

The development version of NetworkManager has many improvements in the way it handles the MAC address so this will need to be revisited when this new version hits Debian (Testing).
+Notes

-Issue History
Date Modified Username Field Change
2016-06-03 09:40 samael1986 New Issue
2016-06-03 09:45 samael1986 Note Added: 0005315
2016-06-03 09:53 samael1986 Note Added: 0005316
2016-06-10 13:12 samael1986 Note Added: 0005362
2016-06-10 22:00 UNATCO Note Added: 0005363
2016-07-07 05:44 JigaBytePL Note Added: 0005473
2016-07-07 05:44 JigaBytePL Note Edited: 0005473 View Revisions
2016-07-07 05:46 JigaBytePL Note Edited: 0005473 View Revisions
2016-07-11 09:22 samael1986 Note Added: 0005503
2016-07-11 09:25 samael1986 Note Edited: 0005503 View Revisions
2016-07-11 09:53 rhertzog Note Added: 0005504
2016-07-11 09:53 rhertzog Assigned To => rhertzog
2016-07-11 09:53 rhertzog Status new => assigned
2016-07-11 09:53 rhertzog Summary Mac Changer => MAC changed by macchanger is reset when connecting to an AP
2016-07-12 14:44 rhertzog Note Added: 0005531
2016-07-12 14:44 rhertzog Status assigned => resolved
2016-07-12 14:44 rhertzog Fixed in Version => 2016.2
2016-07-12 14:44 rhertzog Resolution open => fixed
+Issue History